Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039662
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2018-11-21 11:582018-11-23 13:38
ReporterLeyreView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3.3
StatusclosedFix in branchFixed in SCM revision6d6e7e514811
ProjectionnoneETAnoneTarget Version3.0PR18Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-02-23
Regression introduced in release3.0PR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/4a1f3df29564b6dd12259981f941d0d5d74bebab [^]
Triggers an Emergency PackNo
Summary

0039662: Error deactivating an Organization

DescriptionYou can not consult information about an Organization that is deactivated
Steps To Reproduce1. Log in to the Backoffice -> Openbravo/openbravo

https://livebuilds.openbravo.com/retail_mp_3.0RR18Q3.2/security/Login [^]

Role = The White Valley Group Admin - The White Valley Group

2. Deactivate an Organization, for example White Valley Spain S.A

3. End Session and log in again with the same user.

4. Check that the information of this Organization can not be consulted.

* This happens for example in the "Financial Account" window. You can not filter by White Valley Spain Organization.
Proposed SolutionThis worked correctly in the 18Q1 version.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039660 closedcaristu Error deactivating an Organization 

-  Notes
(0108042)
hgbot (developer)
2018-11-21 16:41

Repository: erp/backports/3.0PR18Q3.3
Changeset: 6d6e7e514811585488caeb60deecbb5f6b458416
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 21 16:40:57 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.3/rev/6d6e7e514811585488caeb60deecbb5f6b458416 [^]

fixes bug 39662: Standard DS isn't returning information of deactivated orgs

Before this changeset[1] access to inactive organization was being given because getOrganizationStructureProvider().getNaturalTree(o)) does not filter by active organizations.

Now that method is not being invoked when having direct access to "0" but the getOrganizations() method which indeed filters by active organizations.

In order to be consistent, now the getOrganizations() method does no longer filter by active.

[1] https://code.openbravo.com/erp/devel/pi/rev/4a1f3df29564b6dd12259981f941d0d5d74bebab [^]

---
M src/org/openbravo/dal/core/OBContext.java
---
(0108083)
alostale (developer)
2018-11-23 13:38

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-11-21 12:52 caristu Type defect => backport
2018-11-21 12:52 caristu Target Version => 3.0PR18Q3.3
2018-11-21 16:41 hgbot Checkin
2018-11-21 16:41 hgbot Note Added: 0108042
2018-11-21 16:41 hgbot Status scheduled => resolved
2018-11-21 16:41 hgbot Resolution open => fixed
2018-11-21 16:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q3.3/rev/6d6e7e514811585488caeb60deecbb5f6b458416 [^]
2018-11-23 13:38 alostale Note Added: 0108083
2018-11-23 13:38 alostale Status resolved => closed
2018-11-23 13:38 alostale Fixed in Version => 3.0PR18Q3.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker